summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* dev-vcs/git-annex: drop oldSergei Trofimovich2017-08-219-1205/+0
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* dev-vcs/git-annex: bump up to 6.20170818, bug #628488Sergei Trofimovich2017-08-212-0/+162
| | | | | | | | | | | | | | """ git-annex before 6.20170818 allows remote attackers to execute arbitrary commands via an ssh URL with an initial dash character in the hostname, as demonstrated by an ssh://-eProxyCommand= URL, a related issue to CVE-2017-9800, CVE-2017-12836, CVE-2017-1000116, and CVE-2017-1000117. """ Reported-by: mbailey_j Bug: https://bugs.gentoo.org/628488 Package-Manager: Portage-2.3.8, Repoman-2.3.3
* dev-vcs/git: x86 stable (bug #627488)Thomas Deutschmann2017-08-201-1/+1
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* dev-vcs/git: amd64 stable #627488Richard Freeman2017-08-191-1/+1
| | | | | Bug: 627488 Package-Manager: Portage-2.3.6, Repoman-2.3.3
* dev-vcs/git: stable 2.13.5 for ppc/ppc64, bug #627488Sergei Trofimovich2017-08-191-1/+1
| | | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3 RepoMan-Options: --include-arches="ppc ppc64"
* dev-vcs/mercurial-server: remove unused patch.Michael Mair-Keimberger (asterix)2017-08-191-18/+0
| | | | Closes: https://github.com/gentoo/gentoo/pull/5441
* dev-vcs/fossil: Bump SQLite version requirementAaron W. Swenson2017-08-192-3/+6
| | | | | | | | Fossil 2.3 needs SQLite 3.20.0 or greater. Rename sqlite USE flag to the more descriptive system-sqlite. Package-Manager: Portage-2.3.6, Repoman-2.3.1
* dev-vcs/colorsvn: remove unused version colorsvn-0.3.2-r2.Michael Orlitzky2017-08-183-97/+0
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.1
* dev-vcs/colorsvn: x86 stable (bug #617620)Thomas Deutschmann2017-08-191-1/+1
| | | | Package-Manager: Portage-2.3.5, Repoman-2.3.2
* dev-vcs/guilt: x86 stable (bug #617594)Thomas Deutschmann2017-08-191-1/+1
| | | | Package-Manager: Portage-2.3.5, Repoman-2.3.2
* dev-vcs/tig: remove oldTim Harder2017-08-184-457/+0
|
* dev-vcs/tig: stabilize 2.2.2Tim Harder2017-08-181-1/+1
|
* dev-vcs/tortoisehg: Removed old.Lars Wendler2017-08-142-81/+0
| | | | Package-Manager: Portage-2.3.7, Repoman-2.3.3
* dev-vcs/tortoisehg: Bump to version 4.3.1Lars Wendler2017-08-142-0/+81
| | | | Package-Manager: Portage-2.3.7, Repoman-2.3.3
* dev-vcs/rcsi: Remove cvs-utils@ project, #627602Michał Górny2017-08-141-4/+0
|
* dev-vcs/cvsutils: Remove cvs-utils@ project, #627602Michał Górny2017-08-141-4/+1
|
* dev-vcs/cvsq: Remove cvs-utils@ project, #627602Michał Górny2017-08-141-4/+1
|
* dev-vcs/cvsps: Remove cvs-utils@ project, #627602Michał Górny2017-08-141-4/+0
|
* dev-vcs/cvsgraph: Remove cvs-utils@ project, #627602Michał Górny2017-08-141-4/+1
|
* dev-vcs/cvsd: Remove cvs-utils@ project, #627602Michał Górny2017-08-141-4/+1
|
* dev-vcs/cvs2cl: Remove cvs-utils@ project, #627602Michał Górny2017-08-141-4/+1
|
* dev-vcs/cvs: Remove cvs-utils@ project, #627602Michał Górny2017-08-141-4/+1
|
* dev-vcs/cvs-fast-export: Remove cvs-utils@ project, #627602Michał Górny2017-08-141-4/+0
|
* dev-vcs/fossil: Security Bump to 2.3Aaron W. Swenson2017-08-122-0/+56
| | | | | | | | Version 2.3 fixes a potential XSS vulnerability on the /help webpage. Gentoo-Bug: 627674 Package-Manager: Portage-2.3.6, Repoman-2.3.1
* dev-vcs/git: stable 2.13.5 for ia64, bug #627488Sergei Trofimovich2017-08-111-1/+1
| | | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3 RepoMan-Options: --include-arches="ia64"
* dev-vcs/git-2.13.5-r0: alpha stableTobias Klausmann2017-08-111-1/+1
| | | | Gentoo-Bug: 627488
* dev-vcs/qbzr: Remove bazaar@ project, #626492Michał Górny2017-08-111-4/+1
|
* dev-vcs/git-bzr-ng: Remove bazaar@ project, #626492Michał Górny2017-08-111-4/+0
|
* dev-vcs/bzrtools: Remove bazaar@ project, #626492Michał Górny2017-08-111-4/+1
|
* dev-vcs/bzr: Remove bazaar@ project, #626492Michał Górny2017-08-111-4/+1
|
* dev-vcs/bzr-xmloutput: Remove bazaar@ project, #626492Michał Górny2017-08-111-4/+1
|
* dev-vcs/bzr-rewrite: Remove bazaar@ project, #626492Michał Górny2017-08-111-4/+1
|
* dev-vcs/bzr-gtk: Remove bazaar@ project, #626492Michał Górny2017-08-111-4/+1
|
* dev-vcs/bzr-git: Remove bazaar@ project, #626492Michał Górny2017-08-111-4/+1
|
* dev-vcs/bzr-fastimport: Remove bazaar@ project, #626492Michał Górny2017-08-111-4/+0
|
* dev-vcs/bzr-explorer: Remove bazaar@ project, #626492Michał Górny2017-08-111-4/+1
|
* dev-vcs/subversion: Removed old.Lars Wendler2017-08-114-1534/+0
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3
* dev-vcs/subversion: Security bump to versions 1.8.18 and 1.9.7Lars Wendler2017-08-113-0/+1024
| | | | | | Committed straight to stable. Package-Manager: Portage-2.3.6, Repoman-2.3.3
* dev-vcs/mercurial: Bump to version 4.2.3 and 4.3.1Lars Wendler2017-08-114-1/+271
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3
* dev-vcs/git: security bump for CVE-2017-1000117.Robin H. Johnson2017-08-103-0/+1377
| | | | Package-Manager: portage-2.3.6
* dev-vcs/mercurial: version bump 4.3 with security issues (bug 627484)Dirkjan Ochtman2017-08-102-0/+135
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.1
* dev-vcs/git: permit -pcre-jit w/ dev-libs/libpcre[jit]Robin H. Johnson2017-08-095-5/+5
| | | | Package-Manager: portage-2.3.6
* dev-vcs/git: switch to PCRE2-JIT per upstream.Robin H. Johnson2017-08-057-21/+757
| | | | | | | | | | | Upstream Git is switching to PCRE2 w/ JIT by default, because of the performance boost. An optional non-JIT PCRE is available in PCRE1 code path, for arches where dev-libs/libpcre2[jit] is not available (alpha, ia64, hppa as of this commit). Closes: https://bugs.gentoo.org/show_bug.cgi?id=627088 Bug: https://bugs.gentoo.org/show_bug.cgi?id=627088 Package-Manager: portage-2.3.6
* dev-vcs/git: sync 9999 builds to latest release.Robin H. Johnson2017-08-054-4/+20
|
* dev-vcs/git: bump.Robin H. Johnson2017-08-042-0/+683
| | | | Package-Manager: portage-2.3.6
* dev-vcs/hg-git: version bumpFabian Groffen2017-08-032-0/+25
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.1
* dev-vcs/git: Removed old.Lars Wendler2017-08-022-680/+0
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3
* dev-vcs/git: Bump to version 2.13.4Lars Wendler2017-08-022-0/+683
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3
* dev-vcs/gitolite: use HTTPS for GitHub, fix redirected URL in docDavid Hicks2017-07-3011-39/+39
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3
* dev-vcs/gitstats: use HTTPS for GitHub, fix whitespace in metadata.xmlDavid Hicks2017-07-303-11/+5
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3